import { CustomNGXLoggerService } from "ngx-logger";
import { Router } from "@angular/router";
import { WindowRef } from "./WindowRef";
export declare class TagCommanderService {
    private winRef;
    private customLogger;
    private router;
    _tcContainers: Array<any>;
    pageEvent: any;
    debug: any;
    _trackRoutes: boolean;
    private logger;
    constructor(winRef: WindowRef, customLogger: CustomNGXLoggerService, router: Router);
    addContainer(id: string, uri: string, node: string): void;
    removeContainer(id: string): void;
    setDebug(debug: boolean): void;
    trackRoutes(b: boolean): void;
    setTcVar(tcKey: string, tcVar: any): number;
    setTcVars(vars: object): void;
    getTcVar(tcKey: string): any;
    removeTcVar(varKey: string): void;
    reloadAllContainers(options: object): number;
    reloadContainer(ids: string, idc: string, options: object): number;
    captureEvent(eventLabel: string, element: any, data: object, reloadCapture?: boolean): void;
}
